<?php
/**
 * @package		Joomla.Site
 * @subpackage	mod_reftagger
 * @copyright	Copyright (C) 2012 The Psalm 119 Foundation.  All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

class modRefTaggerHelper {
    /**
     * Configures the RefTagger script based upon the module parameters
     *
     */
    function configureRefTaggerScript($params, $excludedHtmlTagNames, $excludedCssClassNames){
		$refTagScript ="";
    	$refTagScript .="<script src=\"".$params->get('refTaggerScriptSource')."\" type=\"text/javascript\"></script>\n";
		
    	if ($params->get('lbsCssOverridePath') !== ''){
			$refTagScript .= "<link rel=\"stylesheet\" href=\"" . $params->get('lbsCssOverridePath') . "\" type=\"text/css\" />\n";
		}
		
    	$refTagScript .= '<script type="text/javascript">';
    	$refTagScript .= "Logos.ReferenceTagging.lbsBibleVersion= \"".$params->get('lbsBibleVersion')."\";\n";
    	$refTagScript .= "Logos.ReferenceTagging.lbsLinksOpenNewWindow = ".$params->get('lbsLinksOpenNewWindow').";\n";
    	
    	if ($params->get('lbsAddLibronixDLSLink')){
    		    $refTagScript .= "Logos.ReferenceTagging.lbsAddLibronixDLSLink = true;\n";
    			$refTagScript .= "Logos.ReferenceTagging.lbsLogosBibleVersion = \"".$params->get('lbsLogosBibleVersion')."\";\n";
		}

    	if ($params->get('lbsAppendIconToLogosLinks')){
			$refTagScript .= "Logos.ReferenceTagging.lbsAppendIconToLogosLinks = true;\n";
		}
		
		$refTagScript .= "Logos.ReferenceTagging.lbsLogosLinkIcon = \"".$params->get('lbsLogosLinkIcon')."\";\n";
    	$refTagScript .= "Logos.ReferenceTagging.lbsNoSearchTagNames = [ ". $excludedHtmlTagNames ." ];\n";
    	$refTagScript .= "Logos.ReferenceTagging.lbsTargetSite = \"biblia\";\n";

    	if ($params->get('lbsCssOverride')){
			$refTagScript .= "Logos.ReferenceTagging.lbsCssOverride = true;\n";
		}
		
    	if ($params->get('lbsNoSearchClassNames') !== ''){
			$refTagScript .= "Logos.ReferenceTagging.lbsNoSearchClassNames = [ ". $excludedCssClassNames ." ];\n";
		}
		
    	if ($params->get('lbsCaseInsensitive')){
			$refTagScript .= "Logos.ReferenceTagging.lbsCaseInsensitive = true;\n";
		}
		
    	if ($params->get('lbsConvertHyperlinks')){
			$refTagScript .= "Logos.ReferenceTagging.lbsConvertHyperlinks = true;\n";
		}
		
    	$refTagScript .= "Logos.ReferenceTagging.tag();\n";
    	$refTagScript .= "</script>";
    	  	
        return $refTagScript; 
    } 
	
	function getExcludedHtmlTagNames($params){
		// build a properly formatted list of excluded HTML tag names
		$excludedHtmlTagArray = explode(",",$params->get('lbsNoSearchTagNames'));
		
    	$excludedHtmlTagNames = "";
    	$excludedHtmlTagCount = count($excludedHtmlTagArray);
    	
    	if (is_array($excludedHtmlTagArray)){
    		$i=0;
			
    		foreach ($excludedHtmlTagArray as $value){
    			$excludedHtmlTagNames .= " \"".trim($value)."\"";
    			$i++;
   			
    			if ($i !== $excludedHtmlTagCount){
    				$excludedHtmlTagNames .=",";
    			}
    		}
    	}
		else {
			$excludedHtmlTagNames = " \"" .trim($value) ."\"";
		}
		
		return $excludedHtmlTagNames;
	}

	function getExcludedCssClassNames($params){
		// build a properly formatted list of excluded CSS class names
		$excludedCssClassNameArray = explode(",",$params->get('lbsNoSearchClassNames'));
		
    	$excludedCssClassNames = "";
    	$excludedCssClassNameCount = count($excludedCssClassNameArray);
    	
    	if (is_array($excludedCssClassNameArray)){
    		$i=0;
			
    		foreach ($excludedCssClassNameArray as $value){
    			$excludedCssClassNames .= " \"".trim($value)."\"";
    			$i++;
   			
    			if ($i !== $excludedCssClassNameCount){
    				$excludedCssClassNames .=",";
    			}
    		}
    	}
		else {
			$excludedCssClassNames = "\"" .trim($value) ."\"";
		}
		
		return $excludedCssClassNames;
	}
}
?>
